clc
samp=100000;

t=0:1.0/samp:0.02;
sinwavw=sin(2*pi*50*t)+sin(2*pi*3000*t);

absfft=abs(fft(sinwavw));
sizefft=size(sinwavw);sizefft=sizefft(2);

absfft=2*absfft(1:sizefft)/sizefft;
kk=0:sizefft-1;
f = samp/sizefft*kk;
plot(f,absfft);
